import { Test, TestingModule } from '@nestjs/testing';
import { PipelineTaskLogsService } from './pipeline-task-logs.service';
import { RedisService } from 'nestjs-redis';
import { getPubSubToken } from '../commons/pub-sub/utils/token';

describe('PipelineTaskLogsService', () => {
  let service: PipelineTaskLogsService;

  beforeEach(async () => {
    const module: TestingModule = await Test.createTestingModule({
      providers: [
        PipelineTaskLogsService,
        {
          provide: RedisService,
          useValue: {},
        },
        {
          provide: getPubSubToken(),
          useValue: {},
        },
      ],
    }).compile();

    service = module.get<PipelineTaskLogsService>(PipelineTaskLogsService);
  });

  it('should be defined', () => {
    expect(service).toBeDefined();
  });
});
